import ViewMessageService from '../view-message-service';
/**
 * 表格聚合（远程聚合）视图消息服务对象基类
 *
 * @export
 * @class ViewMsg16MessageServiceBase
 */
export default class ViewMsg16MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg16MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg16MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg16MessageServiceBase
     */
    public initBasicParam(){
        this.id = "C55A4FB4-B429-4BCB-9BEF-60872A2717CB";
        this.name = "表格聚合（远程聚合）";
        this.codename = "ViewMsg16";
        this.title = "";
        this.content = "本示例展示表格的聚合功能；远程聚合，聚合列为图书数量";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg16MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}